//                                                                  
// Copyright  2005 Lidor Systems.
// All Rights Reserved.
//
// This file is part of the "LidorSystems.Collector" class Library. 
//                                                                   
// The contents of this file are subject to the LidorSystems.Collector
// License (the "License"), and may not be used except in compliance
// with the License. A copy of the License should have been installed
// in the product's root installation directory. You may also obtain a
// copy of the License at...
//                                                                   
// http://www.lidorsystems.com/products/collector/agreement.html
//                                                             
// Software distributed under this License is distributed on an 
// "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
// implied. See the License for the specific language governing 
// rights and limitations under the License.                        
// 

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using SHDocVw;

using LidorSystems.Collector;
using LidorSystems.Collector.Style;

namespace Browser
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.ImageList imageListGoButton;
		private System.Windows.Forms.ImageList imageList1;
		private System.Windows.Forms.ImageList imageList2;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem menuItemExit;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem menuItemViewBar;
		private System.Windows.Forms.MenuItem menuItem4;
		private System.Windows.Forms.MenuItem menuItemVisualStyle;
		private System.Windows.Forms.MenuItem menuItemClassic;
		private System.Windows.Forms.MenuItem menuItemOffice2003;
		private System.Windows.Forms.MenuItem menuItemVS2003;
		private System.Windows.Forms.MenuItem menuItemVS2005;
		private System.Windows.Forms.MenuItem menuItemDefault;
		private System.Windows.Forms.MenuItem menuItem13;
		private System.Windows.Forms.MenuItem menuItemThemed;
		private System.Windows.Forms.MenuItem menuItemFavorites;
		private System.Windows.Forms.MenuItem menuItemLS;
		private System.Windows.Forms.MenuItem menuItemLSProducts;
		private System.Windows.Forms.MenuItem menuItemGoogle;
		private System.Windows.Forms.MenuItem menuItemWinForms;
		private System.Windows.Forms.MenuItem menuItem5;
		private System.Windows.Forms.MenuItem menuItem6;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.ToolBar toolBarGoButton;
		private System.Windows.Forms.TextBox textBoxAddress;
		private System.Windows.Forms.Label labelAddress;
		private System.Windows.Forms.ToolBarButton toolBarButton20;
		private System.Windows.Forms.ToolBar mainToolbar;
		private System.Windows.Forms.ToolBarButton toolBarButton1;
		private System.Windows.Forms.ToolBarButton toolBarButton2;
		private System.Windows.Forms.ToolBarButton toolBarButton5;
		private System.Windows.Forms.ToolBarButton toolBarButton6;
		private System.Windows.Forms.ToolBarButton toolBarButton7;
		private System.Windows.Forms.ToolBarButton toolBarButton8;
		private System.Windows.Forms.ToolBarButton toolBarButton9;
		private System.Windows.Forms.ToolBarButton toolBarButton10;
		private System.Windows.Forms.ToolBarButton toolBarButton15;
		private System.Windows.Forms.StatusBar statusBar1;
		private System.Windows.Forms.ToolBarButton toolBarButton3;
		private System.Windows.Forms.ToolBarButton toolBarButton4;
		private System.Windows.Forms.ToolBarButton toolBarButton18;
		private System.Windows.Forms.ToolBarButton toolBarButton19;
		private LidorSystems.Collector.Bar barBrowser;
		private LidorSystems.Collector.Group groupFavorites;
		private LidorSystems.Collector.Page pageFavorites;
		private System.Windows.Forms.TreeView treeFavorites;
		private LidorSystems.Collector.Group groupHistory;
		private LidorSystems.Collector.Page pageHistory;
		private System.Windows.Forms.TreeView treeView2;
		private System.Windows.Forms.ToolBar toolBar3;
		private LidorSystems.Collector.Group groupResearch;
		private LidorSystems.Collector.Page pageResearch;
		private System.Windows.Forms.LinkLabel linkLabel2;
		private System.Windows.Forms.LinkLabel linkLabel1;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ListBox listBox1;
		private System.Windows.Forms.ComboBox comboBox1;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.TextBox textBox1;
		private LidorSystems.Collector.Group groupDocuments;
		private LidorSystems.Collector.Page page1;
		private AxSHDocVw.AxWebBrowser axWebBrowser1;
		private System.Windows.Forms.ToolBar toolBar;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			LidorSystems.Collector.Layer layer1 = new LidorSystems.Collector.Layer();
			LidorSystems.Collector.Layer layer2 = new LidorSystems.Collector.Layer();
			LidorSystems.Collector.Layer layer3 = new LidorSystems.Collector.Layer();
			LidorSystems.Collector.Layer layer4 = new LidorSystems.Collector.Layer();
			LidorSystems.Collector.Layer layer5 = new LidorSystems.Collector.Layer();
			LidorSystems.Collector.Style.BarStyle barStyle1 = new LidorSystems.Collector.Style.BarStyle();
			LidorSystems.Collector.Style.GroupStyle groupStyle1 = new LidorSystems.Collector.Style.GroupStyle();
			LidorSystems.Collector.Style.GroupStyle groupStyle2 = new LidorSystems.Collector.Style.GroupStyle();
			LidorSystems.Collector.Style.PageStyle pageStyle1 = new LidorSystems.Collector.Style.PageStyle();
			this.groupFavorites = new LidorSystems.Collector.Group();
			this.pageFavorites = new LidorSystems.Collector.Page();
			this.treeFavorites = new System.Windows.Forms.TreeView();
			this.imageList2 = new System.Windows.Forms.ImageList(this.components);
			this.toolBar = new System.Windows.Forms.ToolBar();
			this.toolBarButton3 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton4 = new System.Windows.Forms.ToolBarButton();
			this.groupHistory = new LidorSystems.Collector.Group();
			this.pageHistory = new LidorSystems.Collector.Page();
			this.treeView2 = new System.Windows.Forms.TreeView();
			this.toolBar3 = new System.Windows.Forms.ToolBar();
			this.toolBarButton18 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton19 = new System.Windows.Forms.ToolBarButton();
			this.groupResearch = new LidorSystems.Collector.Group();
			this.pageResearch = new LidorSystems.Collector.Page();
			this.linkLabel2 = new System.Windows.Forms.LinkLabel();
			this.linkLabel1 = new System.Windows.Forms.LinkLabel();
			this.label1 = new System.Windows.Forms.Label();
			this.listBox1 = new System.Windows.Forms.ListBox();
			this.comboBox1 = new System.Windows.Forms.ComboBox();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.imageListGoButton = new System.Windows.Forms.ImageList(this.components);
			this.imageList1 = new System.Windows.Forms.ImageList(this.components);
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.menuItemExit = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.menuItemViewBar = new System.Windows.Forms.MenuItem();
			this.menuItem4 = new System.Windows.Forms.MenuItem();
			this.menuItemVisualStyle = new System.Windows.Forms.MenuItem();
			this.menuItemClassic = new System.Windows.Forms.MenuItem();
			this.menuItemOffice2003 = new System.Windows.Forms.MenuItem();
			this.menuItemVS2003 = new System.Windows.Forms.MenuItem();
			this.menuItemVS2005 = new System.Windows.Forms.MenuItem();
			this.menuItemDefault = new System.Windows.Forms.MenuItem();
			this.menuItem13 = new System.Windows.Forms.MenuItem();
			this.menuItemThemed = new System.Windows.Forms.MenuItem();
			this.menuItemFavorites = new System.Windows.Forms.MenuItem();
			this.menuItemLS = new System.Windows.Forms.MenuItem();
			this.menuItemLSProducts = new System.Windows.Forms.MenuItem();
			this.menuItemGoogle = new System.Windows.Forms.MenuItem();
			this.menuItemWinForms = new System.Windows.Forms.MenuItem();
			this.menuItem5 = new System.Windows.Forms.MenuItem();
			this.menuItem6 = new System.Windows.Forms.MenuItem();
			this.panel1 = new System.Windows.Forms.Panel();
			this.toolBarGoButton = new System.Windows.Forms.ToolBar();
			this.toolBarButton20 = new System.Windows.Forms.ToolBarButton();
			this.textBoxAddress = new System.Windows.Forms.TextBox();
			this.labelAddress = new System.Windows.Forms.Label();
			this.mainToolbar = new System.Windows.Forms.ToolBar();
			this.toolBarButton1 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton2 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton5 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton6 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton7 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton8 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton9 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton10 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton15 = new System.Windows.Forms.ToolBarButton();
			this.statusBar1 = new System.Windows.Forms.StatusBar();
			this.barBrowser = new LidorSystems.Collector.Bar();
			this.groupDocuments = new LidorSystems.Collector.Group();
			this.page1 = new LidorSystems.Collector.Page();
			this.axWebBrowser1 = new AxSHDocVw.AxWebBrowser();
			((System.ComponentModel.ISupportInitialize)(this.groupFavorites)).BeginInit();
			this.groupFavorites.SuspendLayout();
			this.pageFavorites.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.groupHistory)).BeginInit();
			this.groupHistory.SuspendLayout();
			this.pageHistory.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.groupResearch)).BeginInit();
			this.groupResearch.SuspendLayout();
			this.pageResearch.SuspendLayout();
			this.panel1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.barBrowser)).BeginInit();
			this.barBrowser.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.groupDocuments)).BeginInit();
			this.groupDocuments.SuspendLayout();
			this.page1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.axWebBrowser1)).BeginInit();
			this.SuspendLayout();
			// 
			// groupFavorites
			// 
			this.groupFavorites.AllowDocking = LidorSystems.Collector.DockPermission.None;
			this.groupFavorites.AllowDrag = false;
			this.groupFavorites.AllowFloat = false;
			this.groupFavorites.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.groupFavorites.CloseAction = LidorSystems.Collector.CloseAction.Hide;
			this.groupFavorites.Controls.Add(this.pageFavorites);
			this.groupFavorites.Cursor = System.Windows.Forms.Cursors.Default;
			this.groupFavorites.DockStyle = System.Windows.Forms.DockStyle.Fill;
			this.groupFavorites.Expanded = false;
			this.groupFavorites.FocusRectangle = false;
			this.groupFavorites.ImageIndex = 9;
			this.groupFavorites.ImageList = this.imageList2;
			this.groupFavorites.Location = new System.Drawing.Point(2, 24);
			this.groupFavorites.Name = "groupFavorites";
			this.groupFavorites.Pages.AddRange(new LidorSystems.Collector.Page[] {
																					 this.pageFavorites});
			this.groupFavorites.SelectedPage = this.pageFavorites;
			this.groupFavorites.Size = new System.Drawing.Size(199, 22);
			this.groupFavorites.StyleFromParent = true;
			this.groupFavorites.TabIndex = 0;
			this.groupFavorites.TabStrip = false;
			this.groupFavorites.Text = "Favorites";
			this.groupFavorites.AutoHideChanged += new LidorSystems.Collector.CollectorEventHandler(this.OnAutoHideChanged);
			this.groupFavorites.GroupClosed += new LidorSystems.Collector.CollectorEventHandler(this.OnGroupClosed);
			// 
			// pageFavorites
			// 
			this.pageFavorites.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.pageFavorites.Controls.Add(this.treeFavorites);
			this.pageFavorites.Controls.Add(this.toolBar);
			this.pageFavorites.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
			this.pageFavorites.ImageIndex = 9;
			this.pageFavorites.Location = new System.Drawing.Point(1, 44);
			this.pageFavorites.Name = "pageFavorites";
			this.pageFavorites.Size = new System.Drawing.Size(197, 340);
			this.pageFavorites.StyleFromParent = true;
			this.pageFavorites.TabIndex = 0;
			this.pageFavorites.TableObject = null;
			this.pageFavorites.Text = "Favorites";
			// 
			// treeFavorites
			// 
			this.treeFavorites.Dock = System.Windows.Forms.DockStyle.Fill;
			this.treeFavorites.ImageIndex = 2;
			this.treeFavorites.ImageList = this.imageList2;
			this.treeFavorites.Location = new System.Drawing.Point(0, 28);
			this.treeFavorites.Name = "treeFavorites";
			this.treeFavorites.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
																					  new System.Windows.Forms.TreeNode("Lidor Systems Web Site", 12, 12),
																					  new System.Windows.Forms.TreeNode("Lidor Systems Products", 12, 12),
																					  new System.Windows.Forms.TreeNode("Google Search", 13, 13),
																					  new System.Windows.Forms.TreeNode("Windows Forms .NET", 14, 14)});
			this.treeFavorites.SelectedImageIndex = 2;
			this.treeFavorites.ShowRootLines = false;
			this.treeFavorites.Size = new System.Drawing.Size(197, 312);
			this.treeFavorites.TabIndex = 3;
			this.treeFavorites.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.treeFavorites_AfterSelect);
			// 
			// imageList2
			// 
			this.imageList2.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.imageList2.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList2.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList2.ImageStream")));
			this.imageList2.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// toolBar
			// 
			this.toolBar.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																					   this.toolBarButton3,
																					   this.toolBarButton4});
			this.toolBar.DropDownArrows = true;
			this.toolBar.ImageList = this.imageList2;
			this.toolBar.Location = new System.Drawing.Point(0, 0);
			this.toolBar.Name = "toolBar";
			this.toolBar.ShowToolTips = true;
			this.toolBar.Size = new System.Drawing.Size(197, 28);
			this.toolBar.TabIndex = 2;
			this.toolBar.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right;
			this.toolBar.Wrappable = false;
			this.toolBar.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.toolBar_ButtonClick);
			// 
			// toolBarButton3
			// 
			this.toolBarButton3.ImageIndex = 0;
			this.toolBarButton3.Text = " Add...";
			// 
			// toolBarButton4
			// 
			this.toolBarButton4.ImageIndex = 0;
			this.toolBarButton4.Text = " Organize...";
			// 
			// groupHistory
			// 
			this.groupHistory.AllowDocking = LidorSystems.Collector.DockPermission.None;
			this.groupHistory.AllowDrag = false;
			this.groupHistory.AllowFloat = false;
			this.groupHistory.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.groupHistory.CloseAction = LidorSystems.Collector.CloseAction.Hide;
			this.groupHistory.Controls.Add(this.pageHistory);
			this.groupHistory.Cursor = System.Windows.Forms.Cursors.Default;
			this.groupHistory.DockStyle = System.Windows.Forms.DockStyle.Right;
			this.groupHistory.Expanded = false;
			this.groupHistory.FocusRectangle = false;
			this.groupHistory.ImageIndex = 10;
			this.groupHistory.ImageList = this.imageList2;
			this.groupHistory.Location = new System.Drawing.Point(2, 48);
			this.groupHistory.Name = "groupHistory";
			this.groupHistory.Pages.AddRange(new LidorSystems.Collector.Page[] {
																				   this.pageHistory});
			this.groupHistory.SelectedPage = this.pageHistory;
			this.groupHistory.Size = new System.Drawing.Size(199, 22);
			this.groupHistory.StyleFromParent = true;
			this.groupHistory.TabIndex = 1;
			this.groupHistory.TabStrip = false;
			this.groupHistory.Text = "History";
			this.groupHistory.AutoHideChanged += new LidorSystems.Collector.CollectorEventHandler(this.OnAutoHideChanged);
			this.groupHistory.GroupClosed += new LidorSystems.Collector.CollectorEventHandler(this.OnGroupClosed);
			// 
			// pageHistory
			// 
			this.pageHistory.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.pageHistory.Controls.Add(this.treeView2);
			this.pageHistory.Controls.Add(this.toolBar3);
			this.pageHistory.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
			this.pageHistory.ImageIndex = 10;
			this.pageHistory.Location = new System.Drawing.Point(1, 44);
			this.pageHistory.Name = "pageHistory";
			this.pageHistory.Size = new System.Drawing.Size(197, 340);
			this.pageHistory.StyleFromParent = true;
			this.pageHistory.TabIndex = 0;
			this.pageHistory.TableObject = null;
			this.pageHistory.Text = "History";
			// 
			// treeView2
			// 
			this.treeView2.Dock = System.Windows.Forms.DockStyle.Fill;
			this.treeView2.FullRowSelect = true;
			this.treeView2.HotTracking = true;
			this.treeView2.ImageIndex = 4;
			this.treeView2.ImageList = this.imageList2;
			this.treeView2.Indent = 19;
			this.treeView2.Location = new System.Drawing.Point(0, 28);
			this.treeView2.Name = "treeView2";
			this.treeView2.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
																				  new System.Windows.Forms.TreeNode("3 Weeks Ago"),
																				  new System.Windows.Forms.TreeNode("2 Weeks Ago"),
																				  new System.Windows.Forms.TreeNode("Last Week"),
																				  new System.Windows.Forms.TreeNode("Monday"),
																				  new System.Windows.Forms.TreeNode("Today", new System.Windows.Forms.TreeNode[] {
																																									 new System.Windows.Forms.TreeNode("Lidor Systems (www.lidorsystems.com)", 5, 5),
																																									 new System.Windows.Forms.TreeNode("google (www.google.com)", 5, 5),
																																									 new System.Windows.Forms.TreeNode("Windows Forms .NET (www.windowsforms.net)", 5, 5)})});
			this.treeView2.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.treeView2.Scrollable = false;
			this.treeView2.SelectedImageIndex = 4;
			this.treeView2.ShowLines = false;
			this.treeView2.ShowPlusMinus = false;
			this.treeView2.ShowRootLines = false;
			this.treeView2.Size = new System.Drawing.Size(197, 312);
			this.treeView2.TabIndex = 5;
			// 
			// toolBar3
			// 
			this.toolBar3.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																						this.toolBarButton18,
																						this.toolBarButton19});
			this.toolBar3.DropDownArrows = true;
			this.toolBar3.ImageList = this.imageList2;
			this.toolBar3.Location = new System.Drawing.Point(0, 0);
			this.toolBar3.Name = "toolBar3";
			this.toolBar3.ShowToolTips = true;
			this.toolBar3.Size = new System.Drawing.Size(197, 28);
			this.toolBar3.TabIndex = 4;
			this.toolBar3.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right;
			this.toolBar3.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.toolBar_ButtonClick);
			// 
			// toolBarButton18
			// 
			this.toolBarButton18.Text = "View";
			// 
			// toolBarButton19
			// 
			this.toolBarButton19.ImageIndex = 3;
			this.toolBarButton19.Text = "Search";
			// 
			// groupResearch
			// 
			this.groupResearch.AllowDocking = LidorSystems.Collector.DockPermission.None;
			this.groupResearch.AllowDrag = false;
			this.groupResearch.AllowFloat = false;
			this.groupResearch.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.groupResearch.CloseAction = LidorSystems.Collector.CloseAction.Hide;
			this.groupResearch.Controls.Add(this.pageResearch);
			this.groupResearch.Cursor = System.Windows.Forms.Cursors.Default;
			this.groupResearch.DockStyle = System.Windows.Forms.DockStyle.Bottom;
			this.groupResearch.FocusRectangle = false;
			this.groupResearch.ImageIndex = 11;
			this.groupResearch.ImageList = this.imageList2;
			this.groupResearch.Location = new System.Drawing.Point(2, 72);
			this.groupResearch.Name = "groupResearch";
			this.groupResearch.Pages.AddRange(new LidorSystems.Collector.Page[] {
																					this.pageResearch});
			this.groupResearch.SelectedPage = this.pageResearch;
			this.groupResearch.Size = new System.Drawing.Size(199, 364);
			this.groupResearch.StyleFromParent = true;
			this.groupResearch.TabIndex = 2;
			this.groupResearch.TabStrip = false;
			this.groupResearch.Text = "Research";
			this.groupResearch.AutoHideChanged += new LidorSystems.Collector.CollectorEventHandler(this.OnAutoHideChanged);
			this.groupResearch.GroupClosed += new LidorSystems.Collector.CollectorEventHandler(this.OnGroupClosed);
			// 
			// pageResearch
			// 
			this.pageResearch.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.pageResearch.Controls.Add(this.linkLabel2);
			this.pageResearch.Controls.Add(this.linkLabel1);
			this.pageResearch.Controls.Add(this.label1);
			this.pageResearch.Controls.Add(this.listBox1);
			this.pageResearch.Controls.Add(this.comboBox1);
			this.pageResearch.Controls.Add(this.pictureBox1);
			this.pageResearch.Controls.Add(this.textBox1);
			this.pageResearch.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
			this.pageResearch.ImageIndex = 11;
			this.pageResearch.Location = new System.Drawing.Point(1, 23);
			this.pageResearch.Name = "pageResearch";
			this.pageResearch.Size = new System.Drawing.Size(197, 340);
			this.pageResearch.StyleFromParent = true;
			this.pageResearch.TabIndex = 0;
			this.pageResearch.TableObject = null;
			this.pageResearch.Text = "Research";
			// 
			// linkLabel2
			// 
			this.linkLabel2.BackColor = System.Drawing.Color.Transparent;
			this.linkLabel2.Image = ((System.Drawing.Image)(resources.GetObject("linkLabel2.Image")));
			this.linkLabel2.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.linkLabel2.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.linkLabel2.LinkColor = System.Drawing.Color.MediumBlue;
			this.linkLabel2.Location = new System.Drawing.Point(6, 290);
			this.linkLabel2.Name = "linkLabel2";
			this.linkLabel2.Size = new System.Drawing.Size(152, 23);
			this.linkLabel2.TabIndex = 13;
			this.linkLabel2.TabStop = true;
			this.linkLabel2.Text = "Research options...";
			this.linkLabel2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// linkLabel1
			// 
			this.linkLabel1.BackColor = System.Drawing.Color.Transparent;
			this.linkLabel1.Image = ((System.Drawing.Image)(resources.GetObject("linkLabel1.Image")));
			this.linkLabel1.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.linkLabel1.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.linkLabel1.LinkColor = System.Drawing.Color.MediumBlue;
			this.linkLabel1.Location = new System.Drawing.Point(6, 270);
			this.linkLabel1.Name = "linkLabel1";
			this.linkLabel1.Size = new System.Drawing.Size(114, 23);
			this.linkLabel1.TabIndex = 12;
			this.linkLabel1.TabStop = true;
			this.linkLabel1.Text = "Get Services";
			this.linkLabel1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(6, 9);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(100, 18);
			this.label1.TabIndex = 11;
			this.label1.Text = "Search for:";
			// 
			// listBox1
			// 
			this.listBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.listBox1.ItemHeight = 15;
			this.listBox1.Location = new System.Drawing.Point(6, 83);
			this.listBox1.Name = "listBox1";
			this.listBox1.ScrollAlwaysVisible = true;
			this.listBox1.Size = new System.Drawing.Size(186, 184);
			this.listBox1.TabIndex = 10;
			// 
			// comboBox1
			// 
			this.comboBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.comboBox1.Location = new System.Drawing.Point(6, 55);
			this.comboBox1.Name = "comboBox1";
			this.comboBox1.Size = new System.Drawing.Size(186, 23);
			this.comboBox1.TabIndex = 9;
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(174, 31);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(16, 16);
			this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
			this.pictureBox1.TabIndex = 8;
			this.pictureBox1.TabStop = false;
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(6, 29);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(166, 21);
			this.textBox1.TabIndex = 7;
			this.textBox1.Text = "";
			// 
			// imageListGoButton
			// 
			this.imageListGoButton.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.imageListGoButton.ImageSize = new System.Drawing.Size(16, 16);
			this.imageListGoButton.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageListGoButton.ImageStream")));
			this.imageListGoButton.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// imageList1
			// 
			this.imageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.imageList1.ImageSize = new System.Drawing.Size(24, 24);
			this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
			this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem1,
																					  this.menuItem2,
																					  this.menuItem3,
																					  this.menuItemFavorites,
																					  this.menuItem5,
																					  this.menuItem6});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItemExit});
			this.menuItem1.Text = "&File";
			// 
			// menuItemExit
			// 
			this.menuItemExit.Index = 0;
			this.menuItemExit.Shortcut = System.Windows.Forms.Shortcut.AltF4;
			this.menuItemExit.Text = "E&xit";
			this.menuItemExit.Click += new System.EventHandler(this.menuItemExit_Click);
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 1;
			this.menuItem2.Text = "Edit";
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 2;
			this.menuItem3.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItemViewBar,
																					  this.menuItem4,
																					  this.menuItemVisualStyle});
			this.menuItem3.Text = "View";
			// 
			// menuItemViewBar
			// 
			this.menuItemViewBar.Checked = true;
			this.menuItemViewBar.Index = 0;
			this.menuItemViewBar.Text = "Navigation pane visible";
			this.menuItemViewBar.Click += new System.EventHandler(this.menuItemViewBar_Click);
			// 
			// menuItem4
			// 
			this.menuItem4.Index = 1;
			this.menuItem4.Text = "-";
			// 
			// menuItemVisualStyle
			// 
			this.menuItemVisualStyle.Index = 2;
			this.menuItemVisualStyle.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																								this.menuItemClassic,
																								this.menuItemOffice2003,
																								this.menuItemVS2003,
																								this.menuItemVS2005,
																								this.menuItemDefault,
																								this.menuItem13,
																								this.menuItemThemed});
			this.menuItemVisualStyle.Text = "Visual Style";
			// 
			// menuItemClassic
			// 
			this.menuItemClassic.Index = 0;
			this.menuItemClassic.Text = "Classic";
			this.menuItemClassic.Click += new System.EventHandler(this.menuItemClassic_Click);
			// 
			// menuItemOffice2003
			// 
			this.menuItemOffice2003.Index = 1;
			this.menuItemOffice2003.Text = "Office 2003";
			this.menuItemOffice2003.Click += new System.EventHandler(this.menuItemOffice2003_Click);
			// 
			// menuItemVS2003
			// 
			this.menuItemVS2003.Index = 2;
			this.menuItemVS2003.Text = "Visual Studio 2003";
			this.menuItemVS2003.Click += new System.EventHandler(this.menuItemVS2003_Click);
			// 
			// menuItemVS2005
			// 
			this.menuItemVS2005.Index = 3;
			this.menuItemVS2005.Text = "Visual Studio 2005";
			this.menuItemVS2005.Click += new System.EventHandler(this.menuItemVS2005_Click);
			// 
			// menuItemDefault
			// 
			this.menuItemDefault.Index = 4;
			this.menuItemDefault.Text = "Default";
			this.menuItemDefault.Click += new System.EventHandler(this.menuItemDefault_Click);
			// 
			// menuItem13
			// 
			this.menuItem13.Index = 5;
			this.menuItem13.Text = "-";
			// 
			// menuItemThemed
			// 
			this.menuItemThemed.Index = 6;
			this.menuItemThemed.Text = "Theme Aware";
			this.menuItemThemed.Click += new System.EventHandler(this.menuItemThemed_Click);
			// 
			// menuItemFavorites
			// 
			this.menuItemFavorites.Index = 3;
			this.menuItemFavorites.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																							  this.menuItemLS,
																							  this.menuItemLSProducts,
																							  this.menuItemGoogle,
																							  this.menuItemWinForms});
			this.menuItemFavorites.Text = "Favorites";
			// 
			// menuItemLS
			// 
			this.menuItemLS.Index = 0;
			this.menuItemLS.Text = "Lidor Systems Website";
			this.menuItemLS.Click += new System.EventHandler(this.menuItemLS_Click);
			// 
			// menuItemLSProducts
			// 
			this.menuItemLSProducts.Index = 1;
			this.menuItemLSProducts.Text = "Lidor Systems Products";
			this.menuItemLSProducts.Click += new System.EventHandler(this.menuItemLSProducts_Click);
			// 
			// menuItemGoogle
			// 
			this.menuItemGoogle.Index = 2;
			this.menuItemGoogle.Text = "Google Search";
			this.menuItemGoogle.Click += new System.EventHandler(this.menuItemGoogle_Click);
			// 
			// menuItemWinForms
			// 
			this.menuItemWinForms.Index = 3;
			this.menuItemWinForms.Text = "WindowsForms.NET";
			this.menuItemWinForms.Click += new System.EventHandler(this.menuItemWinForms_Click);
			// 
			// menuItem5
			// 
			this.menuItem5.Index = 4;
			this.menuItem5.Text = "Tools";
			// 
			// menuItem6
			// 
			this.menuItem6.Index = 5;
			this.menuItem6.Text = "Help";
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.toolBarGoButton);
			this.panel1.Controls.Add(this.textBoxAddress);
			this.panel1.Controls.Add(this.labelAddress);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel1.Location = new System.Drawing.Point(0, 36);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(670, 28);
			this.panel1.TabIndex = 4;
			// 
			// toolBarGoButton
			// 
			this.toolBarGoButton.Anchor = System.Windows.Forms.AnchorStyles.Right;
			this.toolBarGoButton.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																							   this.toolBarButton20});
			this.toolBarGoButton.ButtonSize = new System.Drawing.Size(48, 20);
			this.toolBarGoButton.Divider = false;
			this.toolBarGoButton.Dock = System.Windows.Forms.DockStyle.None;
			this.toolBarGoButton.DropDownArrows = true;
			this.toolBarGoButton.ImageList = this.imageListGoButton;
			this.toolBarGoButton.Location = new System.Drawing.Point(618, 3);
			this.toolBarGoButton.Name = "toolBarGoButton";
			this.toolBarGoButton.ShowToolTips = true;
			this.toolBarGoButton.Size = new System.Drawing.Size(50, 26);
			this.toolBarGoButton.TabIndex = 3;
			this.toolBarGoButton.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right;
			this.toolBarGoButton.Click += new System.EventHandler(this.toolBarGoButton_Click);
			// 
			// toolBarButton20
			// 
			this.toolBarButton20.ImageIndex = 0;
			this.toolBarButton20.Text = "&Go";
			// 
			// textBoxAddress
			// 
			this.textBoxAddress.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
			this.textBoxAddress.Location = new System.Drawing.Point(56, 4);
			this.textBoxAddress.Name = "textBoxAddress";
			this.textBoxAddress.Size = new System.Drawing.Size(558, 20);
			this.textBoxAddress.TabIndex = 2;
			this.textBoxAddress.Text = "";
			this.textBoxAddress.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxAddress_KeyDown);
			// 
			// labelAddress
			// 
			this.labelAddress.Anchor = System.Windows.Forms.AnchorStyles.Left;
			this.labelAddress.BackColor = System.Drawing.Color.Transparent;
			this.labelAddress.Location = new System.Drawing.Point(4, 4);
			this.labelAddress.Name = "labelAddress";
			this.labelAddress.Size = new System.Drawing.Size(50, 20);
			this.labelAddress.TabIndex = 1;
			this.labelAddress.Text = "Address";
			this.labelAddress.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// mainToolbar
			// 
			this.mainToolbar.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.mainToolbar.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																						   this.toolBarButton1,
																						   this.toolBarButton2,
																						   this.toolBarButton5,
																						   this.toolBarButton6,
																						   this.toolBarButton7,
																						   this.toolBarButton8,
																						   this.toolBarButton9,
																						   this.toolBarButton10,
																						   this.toolBarButton15});
			this.mainToolbar.DropDownArrows = true;
			this.mainToolbar.ImageList = this.imageList1;
			this.mainToolbar.Location = new System.Drawing.Point(0, 0);
			this.mainToolbar.Name = "mainToolbar";
			this.mainToolbar.ShowToolTips = true;
			this.mainToolbar.Size = new System.Drawing.Size(670, 36);
			this.mainToolbar.TabIndex = 3;
			this.mainToolbar.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right;
			this.mainToolbar.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.mainToolbar_ButtonClick);
			// 
			// toolBarButton1
			// 
			this.toolBarButton1.ImageIndex = 0;
			this.toolBarButton1.Text = " Back";
			// 
			// toolBarButton2
			// 
			this.toolBarButton2.ImageIndex = 1;
			// 
			// toolBarButton5
			// 
			this.toolBarButton5.ImageIndex = 2;
			// 
			// toolBarButton6
			// 
			this.toolBarButton6.ImageIndex = 3;
			// 
			// toolBarButton7
			// 
			this.toolBarButton7.ImageIndex = 4;
			// 
			// toolBarButton8
			// 
			this.toolBarButton8.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// toolBarButton9
			// 
			this.toolBarButton9.ImageIndex = 5;
			this.toolBarButton9.Text = "Search";
			// 
			// toolBarButton10
			// 
			this.toolBarButton10.ImageIndex = 6;
			this.toolBarButton10.Text = "Favorites";
			// 
			// toolBarButton15
			// 
			this.toolBarButton15.ImageIndex = 10;
			// 
			// statusBar1
			// 
			this.statusBar1.Location = new System.Drawing.Point(0, 502);
			this.statusBar1.Name = "statusBar1";
			this.statusBar1.Size = new System.Drawing.Size(670, 22);
			this.statusBar1.TabIndex = 6;
			this.statusBar1.Text = "statusBar";
			// 
			// barBrowser
			// 
			this.barBrowser.AllowDrag = false;
			this.barBrowser.AllowFloat = false;
			this.barBrowser.CloseAction = LidorSystems.Collector.CloseAction.Hide;
			this.barBrowser.Controls.Add(this.groupFavorites);
			this.barBrowser.Controls.Add(this.groupHistory);
			this.barBrowser.Controls.Add(this.groupResearch);
			this.barBrowser.ControlState = LidorSystems.Collector.ControlState.Docked;
			this.barBrowser.Cursor = System.Windows.Forms.Cursors.Default;
			this.barBrowser.Dock = System.Windows.Forms.DockStyle.Left;
			this.barBrowser.FocusRectangle = false;
			this.barBrowser.Groups.AddRange(new LidorSystems.Collector.Group[] {
																				   this.groupFavorites,
																				   this.groupHistory,
																				   this.groupResearch});
			this.barBrowser.Image = ((System.Drawing.Image)(resources.GetObject("barBrowser.Image")));
			this.barBrowser.ImageList = this.imageList2;
			this.barBrowser.Location = new System.Drawing.Point(0, 64);
			this.barBrowser.Name = "barBrowser";
			layer1.Bounds = new System.Drawing.Rectangle(2, 24, 199, 391);
			layer2.Bounds = new System.Drawing.Rectangle(2, 24, 199, 147);
			layer3.Bounds = new System.Drawing.Rectangle(2, 24, 97, 147);
			layer3.Group = this.groupFavorites;
			layer2.LeftLayer = layer3;
			layer4.Bounds = new System.Drawing.Rectangle(103, 24, 98, 147);
			layer4.Group = this.groupHistory;
			layer2.RightLayer = layer4;
			layer2.SpliterType = LidorSystems.Collector.SpliterType.Vertical;
			layer2.SplitRectangle = new System.Drawing.Rectangle(99, 24, 4, 147);
			layer1.LeftLayer = layer2;
			layer5.Bounds = new System.Drawing.Rectangle(2, 175, 199, 240);
			layer5.Group = this.groupResearch;
			layer1.RightLayer = layer5;
			layer1.SpliterType = LidorSystems.Collector.SpliterType.Horizontal;
			layer1.SplitRectangle = new System.Drawing.Rectangle(2, 171, 199, 4);
			this.barBrowser.RootLayer = layer1;
			this.barBrowser.SelectedGroup = this.groupResearch;
			this.barBrowser.Size = new System.Drawing.Size(206, 438);
			groupStyle1.AutoHideButton = true;
			groupStyle1.ContextMenuButton = false;
			groupStyle1.ExpandButton = false;
			groupStyle1.MoveButton = true;
			barStyle1.GroupStyle = groupStyle1;
			this.barBrowser.Style = barStyle1;
			this.barBrowser.TabIndex = 7;
			this.barBrowser.Text = "Browser";
			this.barBrowser.BarClosed += new LidorSystems.Collector.CollectorEventHandler(this.barBrowser_BarClosed);
			this.barBrowser.ContextMenuButtonClick += new LidorSystems.Collector.CollectorEventHandler(this.barBrowser_ContextMenuButtonClick);
			this.barBrowser.GroupClosed += new LidorSystems.Collector.CollectorEventHandler(this.OnGroupClosed);
			// 
			// groupDocuments
			// 
			this.groupDocuments.AcceptType = LidorSystems.Collector.AcceptType.Documents;
			this.groupDocuments.AllowDocking = LidorSystems.Collector.DockPermission.Fill;
			this.groupDocuments.AllowFloat = false;
			this.groupDocuments.AllowResize = false;
			this.groupDocuments.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.groupDocuments.Controls.Add(this.page1);
			this.groupDocuments.ControlState = LidorSystems.Collector.ControlState.Docked;
			this.groupDocuments.ControlType = LidorSystems.Collector.ControlType.Document;
			this.groupDocuments.Cursor = System.Windows.Forms.Cursors.Default;
			this.groupDocuments.Dock = System.Windows.Forms.DockStyle.Fill;
			this.groupDocuments.Header = false;
			this.groupDocuments.Location = new System.Drawing.Point(206, 64);
			this.groupDocuments.Name = "groupDocuments";
			this.groupDocuments.Pages.AddRange(new LidorSystems.Collector.Page[] {
																					 this.page1});
			this.groupDocuments.SelectedPage = this.page1;
			this.groupDocuments.Size = new System.Drawing.Size(464, 438);
			pageStyle1.Margin = new LidorSystems.Collector.Margin(2, 2, 2, 2);
			groupStyle2.PageStyle = pageStyle1;
			this.groupDocuments.Style = groupStyle2;
			this.groupDocuments.TabIndex = 8;
			this.groupDocuments.TabStrip = false;
			this.groupDocuments.Text = "group1";
			this.groupDocuments.GroupClosing += new LidorSystems.Collector.CancelableCollectorEventHandler(this.groupDocuments_GroupClosing);
			// 
			// page1
			// 
			this.page1.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.page1.Controls.Add(this.axWebBrowser1);
			this.page1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F);
			this.page1.Location = new System.Drawing.Point(1, 1);
			this.page1.Name = "page1";
			this.page1.Size = new System.Drawing.Size(462, 436);
			this.page1.StyleFromParent = true;
			this.page1.TabIndex = 0;
			this.page1.TableObject = null;
			this.page1.Text = "Document 1";
			// 
			// axWebBrowser1
			// 
			this.axWebBrowser1.ContainingControl = this;
			this.axWebBrowser1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.axWebBrowser1.Enabled = true;
			this.axWebBrowser1.Location = new System.Drawing.Point(0, 0);
			this.axWebBrowser1.OcxState = ((System.Windows.Forms.AxHost.State)(resources.GetObject("axWebBrowser1.OcxState")));
			this.axWebBrowser1.Size = new System.Drawing.Size(462, 436);
			this.axWebBrowser1.TabIndex = 0;
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(670, 524);
			this.Controls.Add(this.groupDocuments);
			this.Controls.Add(this.barBrowser);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.statusBar1);
			this.Controls.Add(this.mainToolbar);
			this.Menu = this.mainMenu1;
			this.Name = "Form1";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Browser";
			this.WindowState = System.Windows.Forms.FormWindowState.Maximized;
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.groupFavorites)).EndInit();
			this.groupFavorites.ResumeLayout(false);
			this.pageFavorites.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.groupHistory)).EndInit();
			this.groupHistory.ResumeLayout(false);
			this.pageHistory.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.groupResearch)).EndInit();
			this.groupResearch.ResumeLayout(false);
			this.pageResearch.ResumeLayout(false);
			this.panel1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.barBrowser)).EndInit();
			this.barBrowser.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.groupDocuments)).EndInit();
			this.groupDocuments.ResumeLayout(false);
			this.page1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.axWebBrowser1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		#region ContextMenu

		#region General
		private void barBrowser_ContextMenuButtonClick(object sender, LidorSystems.Collector.CollectorEventArgs ce)
		{
			ContextMenu menu = new ContextMenu();
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Header, null, "Action Menu", this.Font, null));

			ControlAppearance appearance = ControlAppearance.Vertical;
			if (barBrowser.Style != null)
				appearance = barBrowser.Style.Appearance;

			// Appearance
			CollectorMenuItem menuItemAppearance = new CollectorMenuItem(MenuItemType.Normal, null, "Appearance", this.Font, null);
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Vertical", this.Font, new EventHandler(OnAppearanceVertical), true, appearance == ControlAppearance.Vertical ? true : false, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Horizontal", this.Font, new EventHandler(OnAppearanceHorizontal), true, appearance == ControlAppearance.Horizontal ? true : false, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Selection", this.Font, new EventHandler(OnAppearanceSelection), true, appearance == ControlAppearance.Selection ? true : false, null));
			menuItemAppearance.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "ToolWindow", this.Font, new EventHandler(OnAppearanceToolWindow), true, appearance == ControlAppearance.ToolWindow ? true : false, null));
			menu.MenuItems.Add(menuItemAppearance);

			// VisualStyle
			CollectorMenuItem menuItemVisualStyle = new CollectorMenuItem(MenuItemType.Normal, null, "VisualStyle", this.Font, null);
			menuItemVisualStyle.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Default", this.Font, new EventHandler(OnVisualStyleDefault), true, barBrowser.VisualStyle == VisualStyle.Default ? true : false, null));
			menuItemVisualStyle.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Classic", this.Font, new EventHandler(OnVisualStyleClassic), true, barBrowser.VisualStyle == VisualStyle.Classic ? true : false, null));
			menuItemVisualStyle.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Office2003", this.Font, new EventHandler(OnVisualStyleOffice2003), true, barBrowser.VisualStyle == VisualStyle.Office2003 ? true : false, null));
			menuItemVisualStyle.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "VS2003", this.Font, new EventHandler(OnVisualStyleVS2003), true, barBrowser.VisualStyle == VisualStyle.VS2003 ? true : false, null));
			menuItemVisualStyle.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "VS2005", this.Font, new EventHandler(OnVisualStyleVS2005), true, barBrowser.VisualStyle == VisualStyle.VS2005 ? true : false, null));
			menuItemVisualStyle.MenuItems.Add(new CollectorMenuItem(MenuItemType.Separator, null));
			menuItemVisualStyle.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Theme Aware", this.Font, new EventHandler(OnThemed), true, barBrowser.UseTheme, null));
			menu.MenuItems.Add(menuItemVisualStyle);

			// Active Groups
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Section, null, "Active Groups", this.Font, null));
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Favorites", this.Font, new EventHandler(OnFavorites), true, barBrowser.Contains(groupFavorites) ? true : false, null));
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "History", this.Font, new EventHandler(OnHistory), true, barBrowser.Contains(groupHistory) ? true : false, null));
			menu.MenuItems.Add(new CollectorMenuItem(MenuItemType.Normal, null, "Research", this.Font, new EventHandler(OnResearch), true, barBrowser.Contains(groupResearch) ? true : false, null));

			menu.Show(barBrowser, barBrowser.PointToClient(Control.MousePosition));
		}
		#endregion

		#region Appearance
		private void OnAppearanceHorizontal(object sender, System.EventArgs e)
		{		
			SetAppearance(ControlAppearance.Horizontal);
		}
		private void OnAppearanceVertical(object sender, System.EventArgs e)
		{		
			SetAppearance(ControlAppearance.Vertical);
		}
		private void OnAppearanceSelection(object sender, System.EventArgs e)
		{		
			SetAppearance(ControlAppearance.Selection);
		}
		private void OnAppearanceToolWindow(object sender, System.EventArgs e)
		{		
			SetAppearance(ControlAppearance.ToolWindow);
		}

		private void SetAppearance(ControlAppearance appearance)
		{		
			if (barBrowser.Style != null)
				barBrowser.Style.Appearance = appearance;
		}
		#endregion

		#region VisualStyle
		private void OnVisualStyleDefault(object sender, System.EventArgs e)
		{		
			SetVisualStyle(VisualStyle.Default);
		}
		private void OnVisualStyleClassic(object sender, System.EventArgs e)
		{		
			SetVisualStyle(VisualStyle.Classic);
		}
		private void OnVisualStyleOffice2003(object sender, System.EventArgs e)
		{		
			SetVisualStyle(VisualStyle.Office2003);
		}
		private void OnVisualStyleVS2003(object sender, System.EventArgs e)
		{		
			SetVisualStyle(VisualStyle.VS2003);
		}
		private void OnVisualStyleVS2005(object sender, System.EventArgs e)
		{		
			SetVisualStyle(VisualStyle.VS2005);
		}

		private void SetVisualStyle(VisualStyle vStyle)
		{		
			barBrowser.VisualStyle = vStyle;

			foreach (Control ctrl in this.Controls)
			{
				if (ctrl is AutoHideBar)
					((AutoHideBar)ctrl).VisualStyle = vStyle;
			}
		}

		private void OnThemed(object sender, System.EventArgs e)
		{		
			barBrowser.UseTheme = !barBrowser.UseTheme;

			foreach (Control ctrl in this.Controls)
			{
				if (ctrl is AutoHideBar)
					((AutoHideBar)ctrl).UseTheme = barBrowser.UseTheme;
			}
		}
		#endregion

		#region Groups
		private void OnFavorites(object sender, System.EventArgs e)
		{
			if (barBrowser.Groups.Contains(groupFavorites))
			{
				groupFavorites.Visible = true;
				barBrowser.SelectedGroup = groupFavorites;
			}
		}

		private void OnHistory(object sender, System.EventArgs e)
		{
			if (barBrowser.Groups.Contains(groupHistory))
			{
				groupHistory.Visible = true;
				barBrowser.SelectedGroup = groupHistory;
			}
		}
		private void OnResearch(object sender, System.EventArgs e)
		{
			if (barBrowser.Groups.Contains(groupResearch))
			{
				groupResearch.Visible = true;
				barBrowser.SelectedGroup = groupResearch;
			}
		}
		#endregion

		#endregion

		#region Favorites
		private void treeFavorites_AfterSelect(object sender, System.Windows.Forms.TreeViewEventArgs e)
		{
			string destination = "";
			object obj = null;
			switch (treeFavorites.SelectedNode.Index)
			{
				case 0:
					destination = "http://www.lidorsystems.com";
					if (groupDocuments.Pages.Count > 0 && groupDocuments.Pages[0].Controls[0] is AxSHDocVw.AxWebBrowser)
					{
						groupDocuments.SelectedPage = groupDocuments.Pages[0];
						((AxSHDocVw.AxWebBrowser)groupDocuments.Pages[0].Controls[0]).Navigate(destination, ref obj, ref obj, ref obj, ref obj);
					}
					else
						groupDocuments.Pages.Add(CreateDocument(destination));
					break;

				case 1:
					destination = "http://www.lidorsystems.com/products/collector";
					if (groupDocuments.Pages.Count > 1 && groupDocuments.Pages[1].Controls[0] is AxSHDocVw.AxWebBrowser)
					{
						groupDocuments.SelectedPage = groupDocuments.Pages[1];
						((AxSHDocVw.AxWebBrowser)groupDocuments.Pages[1].Controls[0]).Navigate(destination, ref obj, ref obj, ref obj, ref obj);
					}
					else
						groupDocuments.Pages.Add(CreateDocument(destination));
					break;

				case 2:
					destination = "http://www.google.com";
					if (groupDocuments.Pages.Count > 2 && groupDocuments.Pages[2].Controls[0] is AxSHDocVw.AxWebBrowser)
					{
						groupDocuments.SelectedPage = groupDocuments.Pages[2];
						((AxSHDocVw.AxWebBrowser)groupDocuments.Pages[2].Controls[0]).Navigate("http://www.google.com", ref obj, ref obj, ref obj, ref obj);
					}
					else
						groupDocuments.Pages.Add(CreateDocument(destination));
					break;
					
				case 3:
					destination = "http://www.windowsforms.com";
					if (groupDocuments.Pages.Count > 3 && groupDocuments.Pages[3].Controls[0] is AxSHDocVw.AxWebBrowser)
					{
						groupDocuments.SelectedPage = groupDocuments.Pages[3];
						((AxSHDocVw.AxWebBrowser)groupDocuments.Pages[3].Controls[0]).Navigate("http://www.windowsforms.com", ref obj, ref obj, ref obj, ref obj);
					}
					else
						groupDocuments.Pages.Add(CreateDocument(destination));
					break;
			}

			if (groupDocuments.Pages.Count > 1)
				groupDocuments.TabStrip = true;

			if (groupDocuments.Pages.Count > 0)
				((AxSHDocVw.AxWebBrowser)groupDocuments.Pages[groupDocuments.Pages.Count-1].Controls[0]).Navigate(destination, ref obj, ref obj, ref obj, ref obj);
				
			if (!groupDocuments.Visible)
				groupDocuments.Show();
		}

		private Page CreateDocument(string destination)
		{
			Page newPage = new Page();
			newPage.StyleFromParent = true;
			newPage.Text = "Document " + ((int)(groupDocuments.Pages.Count+1)).ToString();

			AxSHDocVw.AxWebBrowser newBrowser = new AxSHDocVw.AxWebBrowser();
			newPage.Controls.Add(newBrowser);
			newBrowser.ContainingControl = this;
			newBrowser.Dock = System.Windows.Forms.DockStyle.Fill;
			newBrowser.Enabled = true;
			newBrowser.HandleCreated += new System.EventHandler(OnWebBrowserCreated);
			newBrowser.CommandStateChange += new AxSHDocVw.DWebBrowserEvents2_CommandStateChangeEventHandler(OnWebBrowserCommandStateChange);
			newBrowser.DocumentComplete += new AxSHDocVw.DWebBrowserEvents2_DocumentCompleteEventHandler(OnWebBrowserDocumentComplete);

			return newPage;
		}
		#endregion

		#region Toolbar
		private void mainToolbar_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			switch (mainToolbar.Buttons.IndexOf(e.Button))
			{
				case 0:
					try
					{
						axWebBrowser1.GoBack();
					}
					catch(Exception) {}
					break;
				case 1:
					try
					{
						axWebBrowser1.GoForward();
					}
					catch(Exception) {}
					break;
				case 2:
					axWebBrowser1.Stop();
					break;
				case 3:
					object obj = null;
					axWebBrowser1.Refresh2(ref obj);
					break;
				case 4:
					axWebBrowser1.GoHome();
					break;
				case 6:
					axWebBrowser1.GoSearch();
					break;
				case 7:
					barBrowser.SelectedGroup = groupFavorites;
					break;
				case 8:
					SendKeys.Send("^p");
					break;
			}
		}
		#endregion

		#region General
		private void Form1_Load(object sender, System.EventArgs e)
		{
			barBrowser.SelectedGroup = groupFavorites;
			NavigateTo("http://www.lidorsystems.com");
		}

		private void textBoxAddress_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			if (e.KeyCode == Keys.Enter)
				NavigateTo(textBoxAddress.Text);
		}

		private void toolBarGoButton_Click(object sender, System.EventArgs e)
		{
			NavigateTo(textBoxAddress.Text);
		}

		private void OnWebBrowserCreated(object sender, EventArgs e)
		{
			toolBarGoButton_Click(toolBarGoButton, EventArgs.Empty);

			if (sender is AxSHDocVw.AxWebBrowser)
				((AxSHDocVw.AxWebBrowser)sender).HandleCreated -= new EventHandler(OnWebBrowserCreated);
		}

		private void OnWebBrowserDocumentComplete(object sender, AxSHDocVw.DWebBrowserEvents2_DocumentCompleteEvent e)
		{
			textBoxAddress.Text = e.uRL.ToString();
		}

		private void OnWebBrowserCommandStateChange(object sender, AxSHDocVw.DWebBrowserEvents2_CommandStateChangeEvent e)
		{
			if((CommandStateChangeConstants) e.command == CommandStateChangeConstants.CSC_NAVIGATEBACK)	
			{
				toolBarButton1.Enabled = e.enable;
			}
			else if ((CommandStateChangeConstants) e.command == CommandStateChangeConstants.CSC_NAVIGATEFORWARD)
			{
				toolBarButton2.Enabled = e.enable;
			}
		}

		private void menuItemExit_Click(object sender, System.EventArgs e)
		{
			Application.Exit();
		}

		private void toolBar_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			MessageBox.Show("Not assigned!");
		}

		private void OnGroupClosed(object sender, LidorSystems.Collector.CollectorEventArgs ce)
		{
			if (ce.CollectorObject is Group)
			{
				Group currentGroup = (Group)ce.CollectorObject;

				if (currentGroup.AutoHide)
					currentGroup.AutoHide = false;
			}
		}

		private void barBrowser_BarClosed(object sender, LidorSystems.Collector.CollectorEventArgs ce)
		{
			this.menuItemViewBar.Checked = false;
		}

		private void menuItemViewBar_Click(object sender, System.EventArgs e)
		{
			if (barBrowser != null && !barBrowser.IsDisposed)
			{
				if (!barBrowser.Visible)
				{
					if (groupHistory != null && !groupHistory.IsDisposed)
					{
						if (!barBrowser.Groups.Contains(groupHistory))
							barBrowser.Groups.Add(groupHistory);

						groupHistory.StyleFromParent = true;
						groupHistory.AutoHide = false;
						groupHistory.Visible = true;
					}

					if (groupResearch != null && !groupResearch.IsDisposed)
					{
						if (!barBrowser.Groups.Contains(groupResearch))
							barBrowser.Groups.Add(groupResearch);

						groupResearch.StyleFromParent = true;
						groupResearch.AutoHide = false;
						groupResearch.Visible = true;
					}

					if (groupFavorites != null && !groupFavorites.IsDisposed)
					{
						if (!barBrowser.Groups.Contains(groupFavorites))
							barBrowser.Groups.Add(groupFavorites);

						groupFavorites.StyleFromParent = true;
						groupFavorites.AutoHide = false;
						groupFavorites.Visible = true;
						barBrowser.SelectedGroup = groupFavorites;
					}
				}

				barBrowser.Visible = !barBrowser.Visible;
				this.menuItemViewBar.Checked = barBrowser.Visible;

				if (barBrowser.Visible)
					barBrowser.UpdateLayout();
			}
		}

		private void menuItemLS_Click(object sender, System.EventArgs e)
		{
			NavigateTo("http://www.lidorsystems.com");
		}

		private void menuItemLSProducts_Click(object sender, System.EventArgs e)
		{
			NavigateTo("http://www.lidorsystems.com/products/collector");
		}

		private void menuItemGoogle_Click(object sender, System.EventArgs e)
		{
			NavigateTo("http://www.google.com");
		}

		private void menuItemWinForms_Click(object sender, System.EventArgs e)
		{
			NavigateTo("http://www.windowsforms.com");
		}

		private void menuItemClassic_Click(object sender, System.EventArgs e)
		{
			SetAllVisualStyle(VisualStyle.Classic);
		}

		private void menuItemOffice2003_Click(object sender, System.EventArgs e)
		{
			SetAllVisualStyle(VisualStyle.Office2003);
		}

		private void menuItemVS2003_Click(object sender, System.EventArgs e)
		{
			SetAllVisualStyle(VisualStyle.VS2003);
		}

		private void menuItemVS2005_Click(object sender, System.EventArgs e)
		{
			SetAllVisualStyle(VisualStyle.VS2005);
		}

		private void menuItemDefault_Click(object sender, System.EventArgs e)
		{
			SetAllVisualStyle(VisualStyle.Default);
		}

		private void SetAllVisualStyle(VisualStyle vStyle)
		{		
			foreach (Control ctrl in this.Controls)
			{
				if (ctrl is AutoHideBar)
					((AutoHideBar)ctrl).VisualStyle = vStyle;
				else if (ctrl is Bar)
					((Bar)ctrl).VisualStyle = vStyle;
				else if (ctrl is Group)
					((Group)ctrl).VisualStyle = vStyle;
			}
		}

		private void menuItemThemed_Click(object sender, System.EventArgs e)
		{
			this.menuItemThemed.Checked = !this.menuItemThemed.Checked;
			foreach (Control ctrl in this.Controls)
			{
				if (ctrl is AutoHideBar)
					((AutoHideBar)ctrl).UseTheme = this.menuItemThemed.Checked;
				else if (ctrl is Bar)
					((Bar)ctrl).UseTheme = this.menuItemThemed.Checked;
				else if (ctrl is Group)
					((Group)ctrl).UseTheme = this.menuItemThemed.Checked;
			}
		}

		private void groupDocuments_GroupClosing(object sender, LidorSystems.Collector.CancelableCollectorEventArgs ce)
		{
			if (groupDocuments.Pages.Count == 0)
			{
				ce.Cancel = true;
				groupDocuments.Hide();
				groupDocuments.TabStrip = false;
			}
		}

		private void NavigateTo(string destination)
		{
			object obj = null;
			if (groupDocuments != null && groupDocuments.SelectedPage != null && groupDocuments.SelectedPage.Controls.Count > 0 && groupDocuments.SelectedPage.Controls[0] is AxSHDocVw.AxWebBrowser)
				((AxSHDocVw.AxWebBrowser)groupDocuments.SelectedPage.Controls[0]).Navigate(destination, ref obj, ref obj, ref obj, ref obj);
		}

		private void OnAutoHideChanged(object sender, LidorSystems.Collector.CollectorEventArgs ce)
		{
			if (ce.CollectorObject is Group)
			{
				Group currentGroup = (Group)ce.CollectorObject;

				if (currentGroup.Parent is AutoHideBar.AutoHidePanel)
				{
					AutoHideBar parentBar = ((AutoHideBar.AutoHidePanel)currentGroup.Parent).ParentBar;

					if (parentBar != null)
						parentBar.OuterControl = this.panel1;
				}
			}
		}
		#endregion
	}
}
